package com.palmnest.application.dto.output;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class AirConditionerAddTimeOutDto {
	
	private Long billId;
	private String creatorOpenId;//创建的openId
	private String code;
	private String virtualName;//企业名称
	private String virAccountNo;//企业名称
	private String applyUser;//'申请人姓名',		
	private String applyTel;//'申请人手机号',
	
	private String floorNo;//楼层
	private String roomNames;//申请房号名称(名称;名称)
	private String applyArea;//申请面积
	private String applyTime;//申请时间

	private String useDisplayTime;//使用时间(合并显示
	private BigDecimal useLengthTime; //使用时长  2 *小时
	private String priceDisplay; //单价 显示用 350元/每小时/每户	
	private String freeDetail; //费用明细 2小时*2户*350元=1400.00元
	private String freeTotal=""; //费用总计
	private String monthlyFree=""; //月结费用	
	
	private String status;//待使用\已使用\已取消\已拒绝\无效 待客服专员审核\待客服主管审核\待工程主管审核
	private String switchUser;//开关负责人
	private String switchTel;//联系电话
	private String loginName;
	
	private String billSource;//1. 空调加时 2 预定会议室
	
	private String meetingCode;//会议室订单加时 会议室订单号
	private String useAreaOrTime;//使用1面积 2 时间
	
	private String cancelTime;//取消操时间
	private String cancelUser;//取消操作人
	private String cancelReason;//取消原因
	
	private String isAppManageBook;//是否管理员预定
	private String preBookUser;//代订人
	
	private Integer type;
	private Integer roleId;
	private Integer sort;
	private Integer isLastAuditStep = 0 ;//是否审批的最后一步
	
	private List<GoodsOperateDto> operateDto; //审批记录

	private Date useStartTime;		//使用开始时间
	private Date useEndTime;		//使用结束时间
	
	public String getVirtualName() {
		return virtualName;
	}
	public void setVirtualName(String virtualName) {
		this.virtualName = virtualName;
	}
	public String getVirAccountNo() {
		return virAccountNo;
	}
	public void setVirAccountNo(String virAccountName) {
		this.virAccountNo = virAccountName;
	}
	public String getApplyUser() {
		return applyUser;
	}
	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}
	public String getApplyTel() {
		return applyTel;
	}
	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}
	public String getRoomNames() {
		return roomNames;
	}
	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}
	public String getApplyArea() {
		return applyArea;
	}
	public void setApplyArea(String applyArea) {
		this.applyArea = applyArea;
	}
	public String getUseDisplayTime() {
		return useDisplayTime;
	}
	public void setUseDisplayTime(String useDisplayTime) {
		this.useDisplayTime = useDisplayTime;
	}
	public BigDecimal getUseLengthTime() {
		return useLengthTime;
	}
	public void setUseLengthTime(BigDecimal useLengthTime) {
		this.useLengthTime = useLengthTime;
	}
	public String getPriceDisplay() {
		return priceDisplay;
	}
	public void setPriceDisplay(String priceDisplay) {
		this.priceDisplay = priceDisplay;
	}
	public String getFreeDetail() {
		return freeDetail;
	}
	public void setFreeDetail(String freeDetail) {
		this.freeDetail = freeDetail;
	}
	public String getFreeTotal() {
		return freeTotal;
	}
	public void setFreeTotal(String freeTotal) {
		this.freeTotal = freeTotal;
	}
	public String getMonthlyFree() {
		return monthlyFree;
	}
	public void setMonthlyFree(String monthlyFree) {
		this.monthlyFree = monthlyFree;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getCreatorOpenId() {
		return creatorOpenId;
	}
	public void setCreatorOpenId(String creatorOpenId) {
		this.creatorOpenId = creatorOpenId;
	}
	public String getSwitchUser() {
		return switchUser;
	}
	public void setSwitchUser(String switchUser) {
		this.switchUser = switchUser;
	}
	public String getSwitchTel() {
		return switchTel;
	}
	public void setSwitchTel(String switchTel) {
		this.switchTel = switchTel;
	}
	
	
	public List<GoodsOperateDto> getOperateDto() {
		return operateDto;
	}

	public void setOperateDto(List<GoodsOperateDto> operateDto) {
		this.operateDto = operateDto;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Long getBillId() {
		return billId;
	}
	public void setBillId(Long billId) {
		this.billId = billId;
	}
	public String getApplyTime() {
		return applyTime;
	}
	public void setApplyTime(String applyTime) {
		this.applyTime = applyTime;
	}
	public String getFloorNo() {
		return floorNo;
	}
	public void setFloorNo(String floorNo) {
		this.floorNo = floorNo;
	}
	public String getCancelTime() {
		return cancelTime;
	}
	public void setCancelTime(String cancelTime) {
		this.cancelTime = cancelTime;
	}
	
	public String getCancelUser() {
		return cancelUser;
	}
	public void setCancelUser(String cancelUser) {
		this.cancelUser = cancelUser;
	}
	public String getCancelReason() {
		return cancelReason;
	}
	public void setCancelReason(String cancelReason) {
		this.cancelReason = cancelReason;
	}
	public String getBillSource() {
		return billSource;
	}
	public void setBillSource(String billSource) {
		this.billSource = billSource;
	}
	public String getMeetingCode() {
		return meetingCode;
	}
	public void setMeetingCode(String meetingCode) {
		this.meetingCode = meetingCode;
	}
	public String getUseAreaOrTime() {
		return useAreaOrTime;
	}
	public void setUseAreaOrTime(String useAreaOrTime) {
		this.useAreaOrTime = useAreaOrTime;
	}
	public String getIsAppManageBook() {
		return isAppManageBook;
	}
	public void setIsAppManageBook(String isAppManageBook) {
		this.isAppManageBook = isAppManageBook;
	}
	public String getPreBookUser() {
		return preBookUser;
	}
	public void setPreBookUser(String preBookUser) {
		this.preBookUser = preBookUser;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getRoleId() {
		return roleId;
	}
	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
	public Integer getSort() {
		return sort;
	}
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	public Integer getIsLastAuditStep() {
		return isLastAuditStep;
	}
	public void setIsLastAuditStep(Integer isLastAuditStep) {
		this.isLastAuditStep = isLastAuditStep;
	}


	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public Date getUseStartTime() {
		return useStartTime;
	}

	public void setUseStartTime(Date useStartTime) {
		this.useStartTime = useStartTime;
	}

	public Date getUseEndTime() {
		return useEndTime;
	}

	public void setUseEndTime(Date useEndTime) {
		this.useEndTime = useEndTime;
	}
}
